
TYPO3.Flow - Feature # 42011

Status: Resolved Priority: Should have
Author: Adrian Föder Category: Command
Created: 2012-10-15 Assigned To: Adrian Föder
Updated: 2012-11-08 Due date:
PHP Version:
Has patch: Yes
Complexity:
Subject: Display package keys in migration status
Description

currently, only a bunch of versions are displayed in doctrine:migrationstatus. Display the package names, too.

The result could be

    >> 2011-09-25 12:31:20 (20110925123120) TYPO3.Media                 migrated
    >> 2011-09-28 11:40:48 (20110928114048) TYPO3.TYPO3CR               migrated
    >> 2011-12-15 17:20:27 (20111215172027) TYPO3.TYPO3CR               migrated
    >> 2012-02-10 11:13:01 (20120210111301) TYPO3.Comments              migrated
    >> 2012-03-14 13:46:37 (20120314134637) TYPO3.Comments              migrated
    >> 2012-03-28 15:20:41 (20120328152041) TYPO3.Flow                  migrated
    >> 2012-03-29 22:03:40 (20120329220340) TYPO3.Flow                  migrated

Associated revisions
Revision 4b04b7dc - 2012-11-08 12:14 - Adrian Föder

[FEATURE] Show package keys in schema migration listing

Additionally show the related package keys in the
doctrine:migrationstatus command listing. For this,
it brings a new PackageManager method ``getPackageOfObject()``
that allows retrieving a package by a package's member's
class name.

Change-Id: I86293ef8e7a70ca6cf1507990b7b414fee45cf92
Resolves: #42011
Releases: 1.2

History
#1 - 2012-10-15 12:25 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 1 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/15629

#2 - 2012-10-15 16:08 - Gerrit Code Review
Patch set 2 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/15629

#3 - 2012-10-15 16:15 - Gerrit Code Review

Patch set 3 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/15629

#4 - 2012-10-15 16:59 - Gerrit Code Review

Patch set 4 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/15629

#5 - 2012-10-15 17:37 - Gerrit Code Review

Patch set 5 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/15629

#6 - 2012-10-15 17:40 - Gerrit Code Review

Patch set 6 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/15629

#7 - 2012-10-15 17:47 - Gerrit Code Review

Patch set 7 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/15629

#8 - 2012-10-16 09:17 - Gerrit Code Review

Patch set 8 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/15629

#9 - 2012-10-23 11:14 - Gerrit Code Review

Patch set 9 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/15629

#10 - 2012-10-23 12:12 - Gerrit Code Review

Patch set 10 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/15629

#11 - 2012-11-08 12:14 - Gerrit Code Review
Patch set 11 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/15629

#12 - 2012-11-08 12:35 - Adrian Föder
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:4b04b7dcfec6b54e60632056869dfe3eb4a9b831.
